SAI Extension for JDeveloper: Java Error: "Unsupported Major.minor Version 52.0" upon attempt to configure SAI Preferences

(Doc ID 2025190.1)

Last updated on AUGUST 03, 2015

Applies to:

Siebel CRM - Version 15.0 [IP2015] and later
Information in this document applies to any platform.

Symptoms

  

WARNING: Please review the <Document:1949728.1> that announces  future direction and recommended migration approach SAI projects.

 

FUNCTIONALITY:
-----------------------
SAI (Siebel Application Integration for Oracle Middleware): Installation and enabling the SAI Extension for the JDeveloper (as part of installing development environment)

Related components versions in use for JDeveloper site:
- Oracle Java SDK: Version 7
- Oracle JDeveloper: 11.1.2.4
- Siebel SAI extension installation file: "oracle-siebel-eai-fusion_bundle.zip" under Siebel 15's siebsrvr\classes folder.


ISSUE:
--------
Error, when JDeveloper user attempts to configure preferences of the installied Siebel SAI Extension

Navigation path in the JDeveloper: Tools > Preferences : (item on the left tree) Siebel Application Integration for Oracle Fusion Middleware
   and  click the "Load Extension" button to start configuration process of the connection parameters to Siebel.

The pop-up window with following error is displayed:


NOTE: Installing of same bundle of previous Siebel release (8.1.1.14.x/8.2.2.14.x) was working perfectly for same combination of JDK and JDeveloper versions.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms